禁止 WordPress 自动更新的插件

  最近 WordPress 已经正式推出了 4.5 版,但升级(自动升级后)有一条警告信息,在网上查了一下原因,发现是主机提供商的问题。虽然已经联系了主机商,但估计一时半会难以完美解决,只好手工将其降级到原来的版本,可惜的是,没多久 WordPress 又给自动升级了。虽然网上给了一些应急的解决方法,的确也很有效。但这些方法毕竟只是治『标』并不治『本』,虽然问题临时解决了,但还是让人有些不爽。

  自 3.7 版本起,WordPress 推出了『自动更新』功能。总的来说,这个功能非常不错,能让用户第一时间享用 WordPress 的最新功能,也能让用户避免『老』版本中已经发现的安全漏洞造成的危害。但『自动更新』功能也有值得商榷的地方,如微歌刚才介绍的问题,又如一些站长自己对 WordPress 进行了大量修改的网站,『被』自动更新后,站点可能会面目全非,甚至可能导致站点无法正常运行。

  虽然可以通过修改 wp-config.php 关闭『自动更新』功能,但这对普通用户来说有一定难度。今天我们要给大家介绍的是一款名为 Easy Updates Manager 的插件,使用这款插件可以轻松关闭 WordPress 的『自动更新』功能。

  可以在后台搜索 Easy Updates Manager,也可以在以下地址下载该插件再安装:

  下载地址:https://wordpress.org/plugins/stops-core-theme-and-plugin-updates/

  Easy Updates Manager 的最新版本为 5.4.3。

  安装该插件后,在仪表盘下会出现 Update Options 选项:
  点击该项可对 Easy Updates Manager 进行配置:
  上图中的 All Updates、WordPress Core Updates、All Plugin Updates、All Theme Updates、All Translation Updates 五项可分别设置是否允许『所有更新』、『主程序更新』、『插件更新』、『主题更新』、『翻译更新』。

  全部选择『Disabled』后,你会惊讶地发现,你的 WordPress 清静了。不仅不会时不时提示你有可用的更新,而且你用的旧版也会显示『您使用的 WordPress 是最新版本。』

欢迎留下宝贵意见和建议!